georeferencer windows passes behind qgis main window when choosing points from canvas

2009-12-08 03:40 PM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: Tim Sutton

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12274

Description

when choosing points and after clicking on "choose from map canvas" and clicking on the canvas, the referencer window passes behind

the qgis main window, making necessary to pass it again in front before clicking "ok". If I'm not wrong in the past behaved ok. This

happens at least under linux.

History

#1 - 2010-02-17 05:49 AM - mmassing -

I can't reproduce this with the new georeferencer from SVN trunk.

For me, the qgis main windows is initially raised (upon selection of "Choose From Map Canvas"), but passes behind the georeferencer window again after

a point has been selected in the map canvas, so the button is easily accessible (tested under KDE4/linux).

Can you test the new georeferencer from SVN trunk and report back if it still is an issue for you?

#2 - 2010-02-17 05:51 AM - Giovanni Manghi

Hi,

this ticket was about the old georeferencer. I'll test the new and let you know. Thanks!

#3 - 2010-02-21 03:25 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Open to Closed

Hi,

just tested the new georeferencer and it works really fine! closing this.

PS

I just found the following:

when you are about to create the new georeferenced raster you need to choose the "targer srs". If you choose a custom srs (one defined in the "custom

crs" menu) it shows instead a "EPSG:0". The resulting raster it does not have the correct srs applied. Do you want me to open a new ticket?

#4 - 2010-02-22 03:10 AM - mmassing -
Thank you for looking into this.

It'd be great if you could file the custom crs issue as a new bug.
